Delete Comment
Deletes a comment. The comment author or a user with permission to manage page access can delete it.
Deleting the initial comment of a discussion also deletes the replies in its thread. The response contains the number of remaining active comments on the page.
For common headers and authentication methods, see Access to the API. For sample scenarios, see API usage examples.
Request
DELETE
https://api.wiki.yandex.net/v1/pages/{idx}/comments/{comment_id}
Path parameters
|
Name |
Description |
|
comment_id |
Type: integer ID of the comment on the specified page. Pass the |
|
idx |
Type: integer Page ID. The value of |
Responses
200 OK
OK
Body
application/json
{
"comments_count": 0
}
|
Name |
Description |
|
comments_count |
Type: integer Number of active comments on the page after deletion |